package org.greenstone.gsdl3.util;

public class GSSQL {

    // table names
    public static final String DOCUMENT_TABLE = "document";
    public static final String STRUCTURE_TABLE = "structure";
    public static final String DIVISION_TABLE = "divisions";
    public static final String DIVISION_FILE_TABLE = "divisionfilerefs";
    public static final String DIVISION_METADATA_TABLE = "divisionmetarefs";
    public static final String FILE_SECTION_TABLE = "filesection";
    public static final String FILE_GROUP_TABLE = "filegroups";
    public static final String FILE_TABLE = "files";
    public static final String METADATA_TABLE = "metadata"; 
    public static final String NAMESPACE_TABLE = "namespaces";
    public static final String METADATA_VALUE_TABLE = "mdvalues";
    public static final String CLASSIFIER_TABLE = "classifiers";
    public static final String CLASS_DATA_TABLE = "classdata";
    public static final String CLASS_DOCUMENT_TABLE = "classdocuments";

    // unique key names - references to the tables
    public static final String METADATA_REF = "MetadataRef";
    public static final String NAMESPACE_REF = "NamespaceRef";
    public static final String STRUCTURE_REF = "StructureRef";
    public static final String DIVISION_REF = "DivisionRef";
    public static final String FILE_SECTION_REF = "FileSectionRef";
    public static final String FILE_GROUP_REF = "FileGroupRef";
    public static final String CLASSIFIER_REF = "ClassifyRef";
    
    // combined refs
    public static final String PARENT_REF = "ParentRef";
    public static final String PARENT_TYPE = "ParentType";
    
    // id fields - these are unique ids per document - ie combined with docid
    public static final String DOCUMENT_ID = "DocID";
    public static final String METADATA_ID = "MetaID";
    public static final String FILE_ID = "FileID";
    public static final String STRUCTURE_ID = "StructureID";
    public static final String SECTION_ID = "SectionID";
    public static final String FILE_GROUP_ID = "FileID";
    public static final String FILE_SECTION_ID = "FileID";
    public static final String CLASSIFIER_ID = "ClassifyID";
    public static final String PARENT_ID = "ParentID";
    
    // type fields
    public static final String DOC_TYPE = "DocType";
    public static final String NAMESPACE_TYPE = "NamespaceType";
    public static final String STRUCTURE_TYPE = "StructureType";
    public static final String DIVISION_TYPE = "DivisionType";
    public static final String FILE_LOCATION_TYPE = "FileLocType";
    public static final String MIME_TYPE = "MIMEType";

    // other stuff
    public static final String LABEL = "Label";
    public static final String VALUE = "Value";
    public static final String LABEL_ORDER = "LabelOrder";
    public static final String SHORT_LABEL = "ShortLabel";
    public static final String USER_LABEL = "UserLabel";
    public static final String NAME = "Name";
    public static final String DESCRIPTION = "Description";
    public static final String FILE_LOCATION = "FileLocation";
    public static final String CREATOR = "Creator";
    public static final String DOCUMENT_ORDER = "DocOrder";
    public static final String NUM_LEAF_DOCUMENTS = "NumLeafDocs";

    public static final String COMMA = ",";
    public static final String EQUALS = "=";
    public static final String QUOTE = "'";
    public static final String EQUALS_QUOTE = "='";
    public static final String DOT = ".";
    public static final String END = ";";
    public static final String NOT="!";

    // some values in the fields
    public static final String STRUCTURE = "Structure";
    public static final String DIVISION = "Division";
    public static final String ALL = "All";
    public static final String MG_NUM = "mgseqno";
    
}
